FROM docker.io/library/alpine:3.12

COPY --chown=root:root docker-entrypoint.sh /usr/bin/docker-entrypoint

RUN set -eux \
  ; chmod 0755 /usr/bin/docker-entrypoint \
  ; apk add --no-cache bash=5.0.17-r0 \
  ; bash --version \
  ; mkdir -p \
      /etc/promtail-template \
      /etc/promtail \
      /var/log/pods

VOLUME ["/etc/promtail", "/etc/promtail-template", "/var/log/pods"]
ENTRYPOINT ["docker-entrypoint"]
